/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.csu.sdmx.dao;

import cz.csu.sdmx.validation.model.dsds.Dsd;
import cz.csu.sdmx.validation.model.LogicCondition;
import java.util.List;

/**
 *
 * @author themi
 */
public interface LogicConditionsDao extends DaoSupport<LogicCondition, Integer>{
    public List<LogicCondition> getByDsd(Dsd dsd);
    public List<LogicCondition> getByDsdUrn(String DsdUrn);
    public List<String> getDsds();
}
